<div class="manage-field-container d-flex flex-wrap w-100 {{if @isDisabled "is-disabled"}}" ...attributes>
  {{#unless @isDisabled}}
    <div class="button-container">
      <button type="button" class="btn btn-edit {{if this.isEditMode "btn-primary" "btn-outline-secondary"}}"
        {{on "click" this.toggleMode}} disabled={{this.isDisabled}}>
        <FaIcon @icon="pencil-alt" />
      </button>
    </div>
  {{/unless}}

  <h3 class="panel-title">
    {{@title}}

    {{#if @help}}
      <HelpTooltip>
        {{@help}}
      </HelpTooltip>
    {{/if}}
  </h3>

  <div class="value-container w-100">
    <div class="{{if this.isEditMode "edit-container" "view-container"}} w-100">
      {{#if (and this.isEditMode this.hasEditValueReady)}}
        {{yield this.manager to="edit"}}
      {{else}}
        {{yield this.manager to="view"}}
      {{/if}}

      {{yield this.isEditMode to="both"}}

      {{#if this.isEditMode}}
        <Manage::RowSaveCancel class="mt-3 w-100" @isSaveDisabled={{@isSaveDisabled}} @onSave={{this.onSave}}
          @onCancel={{@onCancel}} {{did-insert this.setupManager}}/>
      {{/if}}
    </div>
  </div>
</div>